<?php
/**
 * IndexerTimestampReadonlyPropertiesTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CatalogCacheClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Catalog Cache
 *
 * Ensi Catalog Cache
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CatalogCacheClient;

use PHPUnit\Framework\TestCase;

/**
 * IndexerTimestampReadonlyPropertiesTest Class Doc Comment
 *
 * @category    Class
 * @description IndexerTimestampReadonlyProperties
 * @package     Ensi\CatalogCacheClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class IndexerTimestampReadonlyPropertiesTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "IndexerTimestampReadonlyProperties"
     */
    public function testIndexerTimestampReadonlyProperties()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "index"
     */
    public function testPropertyIndex()
    {
    }

    /**
     * Test attribute "stage"
     */
    public function testPropertyStage()
    {
    }

    /**
     * Test attribute "index_hash"
     */
    public function testPropertyIndexHash()
    {
    }

    /**
     * Test attribute "is_current_index"
     */
    public function testPropertyIsCurrentIndex()
    {
    }

    /**
     * Test attribute "is_current_stage"
     */
    public function testPropertyIsCurrentStage()
    {
    }

    /**
     * Test attribute "is_current"
     */
    public function testPropertyIsCurrent()
    {
    }
}
